<?php
namespace PanoramaViewer;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ]
    ],
	'block_layouts' => [
        'factories' => [
            'panoramaViewer' => Service\BlockLayout\PanoramaViewerFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\PanoramaViewerBlockForm::class => Form\PanoramaViewerBlockForm::class,
        ],
    ],
    'DefaultSettings' => [
        'PanoramaViewerBlockForm' => [
            'panorama_type' => 'equirectangular',
            'pannellum_types' => [],
            'title' => '',
            'width' => 600,
            'ratio' => '2',
            'autoLoad' => false,
            'renderSourceLink' => true,
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
            //'imgStyle' => '',
            'ui_background' => 'rgba(0,0,0,0.1)',
        ]
    ]
];
